logo
Apache Lounge
Webmasters

 


About

Forum Index Downloads Search Register Log in  RSS Apache Lounge
 



Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Apache Lounge is not sponsored.

Your donations will help to keep this site alive and well, and continuing building binaries.



Help with installing Mod Security ?

 
Post new topic   Reply to topic    Apache Forum Index -> Apache third-party Modules



View previous topic :: View next topic  
Author Message
Menaka



Joined: 18 Jun 2013
Posts: 19
Location: India

PostPosted: Tue 18 Jun '13 12:47    Post subject: Help with installing Mod Security ? Reply with quote

Hi All,

Please help me out in installing the Mod Security tool in my Windows 7 machine using Apache.
Kindly mention the steps or please tel me d links where I can get the step by step process.
Also, please provide me with the download links for each file.
Back to top
admin
Site Admin


Joined: 15 Oct 2005
Posts: 556

PostPosted: Tue 18 Jun '13 13:00    Post subject: Reply with quote

For installing in Apache, see the Readme in the downloaded .zip from here.

For links etc., see www.modsecurity.org

For the (free) handbook, see www.apachelounge.com/viewtopic.php?t=4757
Back to top
Menaka



Joined: 18 Jun 2013
Posts: 19
Location: India

PostPosted: Tue 18 Jun '13 13:38    Post subject: Installation Guide - Mod Security in Windows using Apache Reply with quote

please confirm installing Mod-Security for Apache in Windows requires the following list of softwares as pre req???
1. Microsoft Visual Studio C++
2. CMake build system
3. Apache 2.2.x
4. PCRE Perl Compatible Regular Expression library
5. LibXML2
6. Lua Scripting Language
7. cURL multiprotocol file transfer library
Back to top
admin
Site Admin


Joined: 15 Oct 2005
Posts: 556

PostPosted: Tue 18 Jun '13 13:49    Post subject: Reply with quote

Nope, only if you want to build yourself.

Download mod_security from download page here at ApacheLounge, and read the readme.txt for installing in your Apache.
Back to top
Menaka



Joined: 18 Jun 2013
Posts: 19
Location: India

PostPosted: Fri 12 Jul '13 13:21    Post subject: Reply with quote

I have succesfully configured ModSecurity on Windows.
Now I am trying to do the same in XAMPP and Linux platform.

Can u pls share the steps to configure modsec in Linux.

Thanks.
Back to top
Lavender7



Joined: 18 Jun 2013
Posts: 1
Location: India

PostPosted: Fri 12 Jul '13 13:38    Post subject: Reply with quote

Hi All,
I am also working on installing mod_security in Linux using XAMPP. Please help me on this.
Back to top
James Blond
Moderator


Joined: 19 Jan 2006
Posts: 6298
Location: Germany, Next to Hamburg

PostPosted: Fri 12 Jul '13 22:30    Post subject: Reply with quote

Menaka wrote:
Can u pls share the steps to configure modsec in Linux.


What do you mean with configuring? The configure script for the build or the server config?
Back to top
Menaka



Joined: 18 Jun 2013
Posts: 19
Location: India

PostPosted: Mon 15 Jul '13 9:05    Post subject: Reply with quote

I need help installing mod security on XAMPP package for Linux Operating system.
Back to top
admin
Site Admin


Joined: 15 Oct 2005
Posts: 556

PostPosted: Mon 15 Jul '13 10:09    Post subject: Reply with quote

See https://github.com/SpiderLabs/ModSecurity/wiki/Reference-Manual#wiki-Installation_Steps
Back to top
Menaka



Joined: 18 Jun 2013
Posts: 19
Location: India

PostPosted: Mon 15 Jul '13 14:15    Post subject: Reply with quote

Followed the steps given in https://github.com/SpiderLabs/ModSecurity/wiki/Reference-Manual#wiki-Installation_Steps.

Getting error
"configure: looking for apache module support via DSO through APXS
configure: error: couldn't find APXS"
when i run "./configure" command.

Please help me in resolving the issue.
OS: Linux 2.6.38
Mod Security for Apache: 2.7.0
Back to top
Markus_Aurelius



Joined: 30 Sep 2015
Posts: 12
Location: worester, usa

PostPosted: Mon 12 Oct '15 17:42    Post subject: I also need help with mod_saedcurity Reply with quote

I read the readme.txt file. I am using the 64-bit version.
I copied the yajl.dll and libcurl.dll to the apache24/bin folder. I am on a windows 10 home version.
I then put copied and pasted the httpd.conf commands to the file. The with the admin version of cmd I did a httpd -k restart. It came up with an error.
The error is: AH00526: Syntax error on line 182 of "H:/Apache24/conf/httpd.conf:
Invalid Command 'SecRuleEngine', perhaps misspelled or defined by a module not included in the server configuration"
I used the very quick start lines and copied them to httpd.conf to test.
How can I fix this and what can I do to get better security?
Thanks for your help.
Mark
Back to top
Steffen
Moderator


Joined: 15 Oct 2005
Posts: 2602
Location: Hilversum, NL, EU

PostPosted: Mon 12 Oct '15 19:56    Post subject: Reply with quote

Sure you have:

LoadModule security2_module modules/mod_security2.so

and un-commented:

LoadModule unique_id_module modules/mod_unique_id.so

?
Back to top
Markus_Aurelius



Joined: 30 Sep 2015
Posts: 12
Location: worester, usa

PostPosted: Mon 12 Oct '15 21:18    Post subject: checked and done Reply with quote

Yep
Back to top


Post new topic   Reply to topic    Apache Forum Index -> Apache third-party Modules
Page 1 of 1